# mailsystem
This is the mail server setup being used at [yakumo.dev](https://yakumo.dev), it was originally based on [RedXen](https://redxen.eu)'s but it was adapted to use `aliases(5)` instead of relying on SQL.

## Requirements
* [Dovecot](https://www.dovecot.org/) and [Postfix](https://www.postfix.org/) with PostgreSQL support (there's SQLite 3 support available as well, but has not been tested), as well as the [Pigeonhole](https://pigeonhole.dovecot.org/) plugin
* [PostgreSQL](https://www.postgresql.org/) (tested with 14.x and 15.x, can work with any later version)
* [Rspamd](https://rspamd.com/) (also used for DKIM signing)


## Installation
You need to replace several values with your own, such as `SYSCONFDIR`, `DOMAIN`, `LETSENCRYPT_DOMAIN_PART` and `MAIL_NAME`

## Usage

### Adding an user

```sql
INSERT INTO users ( userid, password, active ) VALUES (
    'yuitia',
    '...',
    '1'
);
```

### Removing an user

```sql
DELETE FROM users WHERE userid = 'yuitia';
```

### Updating an user

```sql
UPDATE users SET password = '....' WHERE userid = 'yuitia';
```

```sql
UPDATE users SET active = '0' WHERE userid = 'yuitia';
```
